Bug 13875 - Columns configuration - table name cannot contain underscore
Summary: Columns configuration - table name cannot contain underscore
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 13864
  Show dependency treegraph
 
Reported: 2015-03-19 15:39 UTC by Jonathan Druart
Modified: 2015-12-03 22:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13875: Columns configuration - Allow underscore in table name (5.96 KB, patch)
2015-03-19 15:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13875: Columns configuration - Allow underscore in table name (6.05 KB, patch)
2015-03-31 11:43 UTC, Josef Moravec
Details | Diff | Splinter Review
[PASSED QA] Bug 13875: Columns configuration - Allow underscore in table name (6.10 KB, patch)
2015-04-06 09:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13864: Columns configuration - Late orders (3.60 KB, patch)
2015-04-06 09:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13875: Columns configuration - Allow underscore in table name (6.10 KB, patch)
2015-04-06 10:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-03-19 15:39:11 UTC
This limitation is useless, the underscore is used to separate the page, the table and the column.
Comment 1 Jonathan Druart 2015-03-19 15:41:44 UTC Comment hidden (obsolete)
Comment 2 Josef Moravec 2015-03-31 11:43:01 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-04-06 09:18:25 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-04-06 09:21:32 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-04-06 10:05:21 UTC
Created attachment 37523 [details] [review]
[PASSED QA] Bug 13875: Columns configuration - Allow underscore in table name

This is a bug fix for bug the columns configuration feature, and
specialy for bug 13864.

Test plan:
Apply patches on bug 13864 and save columns for the late orders (in the
columns configuration admin page).
Confirm that they are correctly saved.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
works as expected

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2015-04-08 18:03:59 UTC
Patch pushed to master.

Thanks Jonathan!